Retrieve a single pivot view#
Description#
Returns a view with the provided ID, or a 404 if no view matches the ID.
GET /api/v1/pivotview/{pivotViewId}
Required OAuth Scopes
No OAuth scopes are required to use this endpoint.
Parameters#
Parameter |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pivotViewId |
path |
string |
true |
The unique identifier of the pivot view |
Code Samples#
curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/pivotview/{pivotViewId} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/pivotview/{pivotViewId} \
Accept:application/json \
Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/pivotview/{pivotViewId}" \
--output-document - \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/pivotview/{pivotViewId}', headers = headers)
print(r.json())
Returns#
200 - OK#
Returns a JSON object with a body property, which contains a PivotViewDto object for the requested pivot view.
Example Responses#
{
"body": {
"additionalMeta": {},
"created": "string",
"description": "string",
"id": "string",
"name": "string",
"parentId": "string",
"queryId": "string",
"queryResultId": "string",
"updated": "string",
"userId": "string",
"version": "integer"
},
"code": "integer"
}